## atspi-hyperlink

atspi-hyperlink — Instances of atspi-hyperlink are the means by which end users and clients interact with linked content.

## Functions

gint | atspi_hyperlink_get_n_anchors ()
gchar * | atspi_hyperlink_get_uri ()
AtspiAccessible * | atspi_hyperlink_get_object ()
AtspiRange * | atspi_hyperlink_get_index_range ()
gint | atspi_hyperlink_get_start_index ()
gint | atspi_hyperlink_get_end_index ()
gboolean | atspi_hyperlink_is_valid ()

## Types and Values

| AtspiHyperlink
struct | AtspiHyperlinkClass

## Object Hierarchy

        GObject
        ╰── AtspiObject
            ╰── AtspiHyperlink

## Description

Instances of atspi-hyperlink are returned by atspi-hypertext objects, and are the means by which end users and clients interact with linked, and in some cases embedded, content. These instances may have multiple "anchors", where an anchor corresponds to a reference to a particular resource with a corresponding resource identified (URI).

## Functions

### atspi_hyperlink_get_n_anchors ()

    gint
    atspi_hyperlink_get_n_anchors (AtspiHyperlink *obj,
                                   GError **error);

Gets the total number of anchors which an AtspiHyperlink implementor has. Though typical hyperlinks have only one anchor, client-side image maps and other hypertext objects may potentially activate or refer to multiple URIs. For each anchor there is a corresponding URI and object.

see: atspi_hyperlink_get_uri and atspi_hyperlink_get_object.

#### Parameters

obj | a pointer to the AtspiHyperlink object on which to operate. |

#### Returns

a gint indicating the number of anchors in this hyperlink.

### atspi_hyperlink_get_uri ()

    gchar *
    atspi_hyperlink_get_uri (AtspiHyperlink *obj,
                             int i,
                             GError **error);

Gets the URI associated with a particular hyperlink anchor.

#### Parameters

obj | a pointer to the AtspiHyperlink implementor on which to operate. |
i | a (zero-index) integer indicating which hyperlink anchor to query. |

#### Returns

a UTF-8 string giving the URI of the `ith` hyperlink anchor.

### atspi_hyperlink_get_object ()

    AtspiAccessible *
    atspi_hyperlink_get_object (AtspiHyperlink *obj,
                                gint i,
                                GError **error);

Gets the object associated with a particular hyperlink anchor, as an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiHyperlink implementor on which to operate. |
i | a (zero-index) gint indicating which hyperlink anchor to query. |

#### Returns

an AtspiAccessible that represents the object associated with the `ith` anchor of the specified AtspiHyperlink.

[transfer full]

### atspi_hyperlink_get_index_range ()

    AtspiRange *
    atspi_hyperlink_get_index_range (AtspiHyperlink *obj,
                                     GError **error);

Gets the starting and ending character offsets of the text range associated with an AtspiHyperlink, in its originating AtspiHypertext.

#### Parameters

obj | a pointer to the AtspiHyperlink implementor on which to operate. |

#### Returns

### atspi_hyperlink_get_start_index ()

    gint
    atspi_hyperlink_get_start_index (AtspiHyperlink *obj,
                                     GError **error);

Gets the starting character offset of the text range associated with an AtspiHyperlink, in its originating AtspiHypertext.

#### Parameters

obj | a pointer to the AtspiHyperlink implementor on which to operate. |

#### Returns

### atspi_hyperlink_get_end_index ()

    gint
    atspi_hyperlink_get_end_index (AtspiHyperlink *obj,
                                   GError **error);

Gets the ending character offset of the text range associated with an AtspiHyperlink, in its originating AtspiHypertext.

#### Parameters

obj | a pointer to the AtspiHyperlink implementor on which to operate. |

#### Returns

### atspi_hyperlink_is_valid ()

    gboolean
    atspi_hyperlink_is_valid (AtspiHyperlink *obj,
                              GError **error);

Tells whether an AtspiHyperlink object is still valid with respect to its originating hypertext object.

#### Parameters

obj | a pointer to the AtspiHyperlink on which to operate. |

#### Returns

TRUE if the specified AtspiHyperlink is still valid with respect to its originating AtspiHypertext object, FALSE otherwise.

## Types and Values

### AtspiHyperlink

    typedef struct _AtspiHyperlink AtspiHyperlink;

### struct AtspiHyperlinkClass

    struct AtspiHyperlinkClass {
      AtspiObjectClass parent_class;
    };